skopeo-standalone-sign(1)

NAME

skopeo-standalone-sign - Simple Sign an image

SYNOPSIS

skopeo standalone-sign manifest docker-reference key-fingerprint --output|-o signature

DESCRIPTION

This is primarily a debugging tool, or useful for special cases, and usually should not be a part of your normal operational workflow; use skopeo copy --sign-by instead to publish and sign an image in one step.

manifest Path to a file containing the image manifest

docker-reference A docker reference to identify the image with

key-fingerprint Key identity to use for signing

--output|-o output file

EXAMPLES

    $ skopeo standalone-sign busybox-manifest.json registry.example.com/example/busybox 1D8230F6CDB6A06716E414C1DB72F2188BB46CC8 --output busybox.signature
    $

SEE ALSO

skopeo(1), skopeo-copy(1)

AUTHORS

Antonio Murdaca ⟨runcom@redhat.com⟩, Miloslav Trmac ⟨mitr@redhat.com⟩, Jhon Honce ⟨jhonce@redhat.com⟩